/*
*  This code is based on ap_ReadAnalog copyleft 2005 by Melvin Ochsmann for Malm? University
*
*  This code is made to interface the "Analog" Fabric Joypad.
*  For details please visit: www.instructables.com/id/Analog-Fabric-Joypad/
*
*  copyleft 2008 by Hannah Perner-Wilson, www.plusea.at
*/

// variables for input pins and
  int analogInput0 = 0;
  int analogInput1 = 1;
  int analogInput2 = 2;
  int analogInput3 = 3;
  
// variable to store the value 
  int value0 = 0; //knee
  int value1 = 0; //hip
  int value2 = 0; //shoulder
  int value3 = 0; //armpit
  int value4 = 0; //elbow
  int value5 = 0; //wrist
 
void setup(){

// declaration of pin modes
  pinMode(analogInput0, INPUT);
  pinMode(analogInput1, INPUT);
  pinMode(analogInput2, INPUT);
  pinMode(analogInput3, INPUT);
  pinMode(analogInput4, INPUT);
  pinMode(analogInput5, INPUT);
  
// begin sending over serial port
  beginSerial(9600);
}

void loop(){
// read the value on analog input
  value0 = analogRead(analogInput0);
  value1 = analogRead(analogInput1);
  value2 = analogRead(analogInput2);
  value3 = analogRead(analogInput3);

// print out value over the serial port
    printByte(1); //prefix
    printInteger(value0);
    printByte(10); //end signal
	
    printByte(2);
    printInteger(value1);
    printByte(10);
	
    printByte(3);
    printInteger(value2);
    printByte(10);
	
    printByte(4);
    printInteger(value3);
    printByte(10);

// wait for a bit to not overload the port
  delay(100);	
}
